<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.alert("JSP AlertServerList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Alert Servers</h2>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.alert("JSP AlertServerList: check if there are servers")}
                    <c:if test="${aslist.size() > 0}">
                        ${logg.alert("JSP AlertServerList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Type</b></td>
                                <td><b>Description</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="as" items="${aslist}">
                                <tr>
                                    <td>${as.name}</td>
                                    <td>${as.astype}</td>
                                    <td>${as.description}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${as.actionedit}">
                                            <form action="<c:url value = "/regioalert/serverlist/edit/${ident.tourl(as.name)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${as.actiondelete}">
                                            <form action="<c:url value = "/regioalert/serverlist/delete/${ident.tourl(as.name)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${as.actioncopy}">
                                            <form action="<c:url value = "/regioalert/serverlist/copy/${ident.tourl(as.name)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>