<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                     <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDbLinkDbList.jspf" %>
                </div>
                <div class="divright">
                                       

                    <h2>Databases</h2>
                    
                    <table>
                    
                        <c:forEach var="db" items="${dbllist.dbs}">
                            <tr>
                                <td style="bold"><b>Database</b></td>
                                <td>Type</td>
                                <td>Description</td>
                                <td>Status</td>
                                <td>Usage</td>         
                            </tr>
                            <tr>
                                <td>${db.db.dbid}</td>
                                <td>${db.db.dbtype}</td>
                                <td>${db.db.description}</td>
                                <td>${db.db.dbstatus}</td>
                                <td>${db.db.dbusage}</td>         
                            </tr>
                            
                            <tr><th></th><td style="bold"><b>Catchers</b></td><th></th><th></th><td><c:if test="${db.canaddcatcher}">
                                <form action="<c:url value = "/config/dblink/dblist/rowaction/CATCHER/add/${ident.tourl(db.db.dbid)}/dummy"/>">
                                    <button type="submit">Add</button>
                                </form>
                            </c:if></td></tr>
                            <c:forEach var="catcher" items="${db.catchers}">
                                <tr>
                                    <td></td>
                                    <td>${catcher.sysname}</td>
                                    <td>${catcher.description}</td>
                                    <td>${catcher.status}</td>
                                    <td><c:if test="${catcher.canremove}">
                                        <form action="<c:url value = "/config/dblink/dblist/rowaction/CATCHER/remove/${ident.tourl(db.db.dbid)}/${ident.tourl(catcher.sysid)}"/>">
                                            <button type="submit">Remove</button>
                                        </form>
                                    </c:if></td>
                                </tr>
                            </c:forEach>
                            
                            <tr><th></th><td style="bold"><b>Store types</b></td><th></th><th></th><td><c:if test="${db.canaddstoretype}">
                                <form action="<c:url value = "/config/dblink/dblist/rowaction/STORE/add/${ident.tourl(db.db.dbid)}/dummy"/>">
                                    <button type="submit">Add</button>
                                </form>
                            </c:if></td></tr>
                            <c:forEach var="storetype" items="${db.storetypes}">
                                <tr>
                                    <td></td>
                                    <td>${storetype.storetype}</td>
                                    <td>${storetype.description}</td>
                                    <td>${storetype.status}</td>
                                    <td><c:if test="${storetype.canremove}">
                                        <form action="<c:url value = "/config/dblink/dblist/rowaction/STORE/remove/${ident.tourl(db.db.dbid)}/${ident.tourl(storetype.storetype)}"/>">
                                            <button type="submit">Remove</button>
                                        </form>
                                    </c:if></td>
                                </tr>
                            </c:forEach>
                            
                        </c:forEach>
                    
                    </table>      
                </div>
            </div>
        </div>
    </body>
</html>