<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Business Parameters</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/businessparamselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="bupselform">
                        <table><tr>
                            <td>Application:</td>
                            <td><form:input path="application"/></td>
                            <td>Key 0:</td>
                            <td><form:input path="key0"/></td>
                            <td></td>
                        </tr><tr>
                            <td>Key 1:</td>
                            <td><form:input path="key1"/></td>
                            <td>Key 2:</td>
                            <td><form:input path="key2"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP BusinessParamList: check if there was something selected")}
                    <c:if test="${buplist.size() > 0}">
                        ${logg.mdata("JSP BusinessParamList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Application</b></td>
                                <td><b>Key 0</b></td>
                                <td><b>Key 1</b></td>
                                <td><b>Key 2</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="bup" items="${buplist}">
                                <tr>
                                    <td>${bup.application}</td>
                                    <td>${bup.key0}</td>
                                    <td>${bup.key1}</td>
                                    <td>${bup.key2}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${bup.actionedit}">
                                            <form action="<c:url value = "/reporter/businessparamlist/edit/${ident.tourl(bup.application)}&${ident.tourl(bup.key0)}&${ident.tourl(bup.key1)}&${ident.tourl(bup.key2)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${bup.actioncopy}">
                                        	<form action="<c:url value = "/reporter/businessparamlist/copy/${ident.tourl(bup.application)}&${ident.tourl(bup.key0)}&${ident.tourl(bup.key1)}&${ident.tourl(bup.key2)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${bup.actiondelete}">
                                        	<form action="<c:url value = "/reporter/businessparamlist/delete/${ident.tourl(bup.application)}&${ident.tourl(bup.key0)}&${ident.tourl(bup.key1)}&${ident.tourl(bup.key2)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>