<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <h2>Overall status: <template:Lamp text="${diagbp.status}" /></h2>
                    <h2>Scheduled Background Processes</h2>
                    <table>
                    <tr>
                    		<td><b>Status</b></td>
                            <td><b>Process</b></td>
                            <td><b>Expected per (sec)</b></td>
                            <td><b>Actual per (sec)</b></td>
                            <td><b>Nex run in (sec)</b></td>
                            <td><b>Scheduler Status</b></td>
                            <td><b>Service Status</b></td>
                            <td><b>Future Status</b></td>
                            <td><b>Watcher Status</b></td>
                    </tr>
                    <c:forEach var="bp" items="${diagbp.bps}">
                    
                    	<tr>
                    		<td><template:Lamp text="${bp.status}" /></td>
                            <td>${bp.wtype}</td>
                            <td>${bp.exprepeat}</td>
                            <td>${bp.actrepeat}</td>
                            <td>${bp.nextrun}</td>
                            <td><template:Lamp text="${bp.statusScheduler}" /></td>
                            <td><template:Lamp text="${bp.statusService}" /></td>
                            <td><template:Lamp text="${bp.statusFuture}" /></td>
                            <td><template:Lamp text="${bp.statusWatcher}" /></td>
                    	</tr>
                    
                    </c:forEach>
                    </table>
                    <br/>
                    
                    <h2>Logs</h2>
                    <table>
                    <c:forEach var="log" items="${diagbp.logs}">
                    
                    	<tr>
                    		<td>${log}</td>
                    	</tr>
                    	
                    </c:forEach>
                    </table>
                    <br/>
                    
                </div>
            </div>

    </body>
</html>