<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftConfigSysList.jspf" %>
                </div>
                <div class="divright">
                    
                    <table>
<!-- ******************************************************************************************************** 
* THIS SYSTEM
************************************************************************************************************* -->                    
                    <tr><td><h2>This system</h2></td><td></td><td></td><td></td><td></td><td></td></tr>
                    
                        <tr>
                            <td>${syslist.thissystem.sysname}</td>
                            <td>${syslist.thissystem.description}</td>
                            <td>${syslist.thissystem.sysstatus}</td>
                            <td></td>
                            <td>
                                <c:if test="${decision == 'pauseresume'}">
                                    <c:if test="${syslist.thissystem.canpause}">
                                        <form action="<c:url value = "/config/system/rowaction/pause/SYSTEM/${ident.tourl(syslist.thissystem.sysid)}"/>">
                                            <button type="submit">${ident.ws.wpause}</button>
                                        </form>
                                    </c:if>
                                    <c:if test="${syslist.thissystem.canresume}">
                                        <form action="<c:url value = "/config/system/rowaction/resume/SYSTEM/${ident.tourl(syslist.thissystem.sysid)}"/>">
                                            <button type="submit">${ident.ws.wresume}</button>
                                        </form>
                                    </c:if>         
                                </c:if>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${syslist.thissystem.canedit}">
                                        <form action="<c:url value = "/config/system/rowaction/edit/SYSTEM/${ident.tourl(syslist.thissystem.sysid)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                            <td>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${syslist.thissystem.candelete}">
                                        <form action="<c:url value = "/config/system/rowaction/delete/SYSTEM/${ident.tourl(syslist.thissystem.sysid)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                        </tr>

                    
<!-- ******************************************************************************************************** 
* CATCHERS
************************************************************************************************************* -->                    
                    <c:if test="${syslist.catchers.size() > 0}">
                 
                    <tr><td><h2>Catchers</h2></td><td></td><td></td><td></td><td></td><td></td></tr>

                        <c:forEach var="catcher" items="${syslist.catchers}">
                        <c:if test="${(decision == 'pauseresume' and catcher.sysstatus != 'INACTIVE') or (decision == 'list')}">
                        <tr>
                            <td>${catcher.sysname}</td>
                            <td>${catcher.description}</td>
                            <td>${catcher.sysstatus}</td>
                            <td></td>
                            <td>
                                <c:if test="${decision == 'pauseresume'}">
                                    <c:if test="${catcher.canpause}">
                                        <form action="<c:url value = "/config/system/rowaction/pause/SYSTEM/${ident.tourl(catcher.sysid)}"/>">
                                            <button type="submit">${ident.ws.wpause}</button>
                                        </form>
                                    </c:if>
                                    <c:if test="${catcher.canresume}">
                                        <form action="<c:url value = "/config/system/rowaction/resume/SYSTEM/${ident.tourl(catcher.sysid)}"/>">
                                            <button type="submit">${ident.ws.wresume}</button>
                                        </form>
                                    </c:if>         
                                </c:if>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${catcher.canedit}">
                                        <form action="<c:url value = "/config/system/rowaction/edit/SYSTEM/${ident.tourl(catcher.sysid)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                            <td>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${catcher.candelete}">
                                        <form action="<c:url value = "/config/system/rowaction/delete/SYSTEM/${ident.tourl(catcher.sysid)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                        </tr>
                        </c:if>
                        </c:forEach>

                    </c:if>
                    
<!-- ******************************************************************************************************** 
* STORE TYPES
************************************************************************************************************* -->
                    <c:if test="${syslist.storetypes.size() > 0}">
                    
                    <tr><td><h2>Store Types</h2></td><td></td><td></td><td></td><td></td><td></td></tr>

                        <c:forEach var="storetype" items="${syslist.storetypes}">
                        <c:if test="${(decision == 'pauseresume' and storetype.storetype.sysstatus != 'INACTIVE') or (decision == 'list')}">
                        <tr>
                            <td>${storetype.storetype.storetype}</td>
                            <td>${storetype.storetype.description}</td>
                            <td>${storetype.storetype.sysstatus}</td>
                            <td></td>
                            <td>
                                <c:if test="${decision == 'pauseresume'}">
                                    <c:if test="${storetype.storetype.canpause}">
                                        <form action="<c:url value = "/config/system/rowaction/pause/STORETYPE/${ident.tourl(storetype.storetype.storetype)}"/>">
                                            <button type="submit">${ident.ws.wpause}</button>
                                        </form>
                                    </c:if>
                                    <c:if test="${storetype.storetype.canresume}">
                                        <form action="<c:url value = "/config/system/rowaction/resume/STORETYPE/${ident.tourl(storetype.storetype.storetype)}"/>">
                                            <button type="submit">${ident.ws.wresume}</button>
                                        </form>
                                    </c:if>         
                                </c:if>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${storetype.storetype.canedit}">
                                        <form action="<c:url value = "/config/system/rowaction/edit/STORETYPE/${ident.tourl(storetype.storetype.storetype)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                            <td>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${storetype.storetype.candelete}">
                                        <form action="<c:url value = "/config/system/rowaction/delete/STORETYPE/${ident.tourl(storetype.storetype.storetype)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                        </tr> <!-- Store type row -->
                        
<!-- ******************************************************************************************************** 
* STORES of one STORE TYPE
************************************************************************************************************* -->
                        <tr>
                            <td></td>
                            <td><b>Stores:</b></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                        <c:forEach var="store" items="${storetype.stores}">
                        <c:if test="${(decision == 'pauseresume' and store.sysstatus != 'INACTIVE') or (decision == 'list')}">
                        
                        <tr>
                            <td></td>
                            <td>${store.sysname}</td>
                            <td>${store.description}</td>
                            <td>${store.sysstatus}</td>
                            <td>
                                <c:if test="${decision == 'pauseresume'}">
                                    <c:if test="${store.canpause}">
                                        <form action="<c:url value = "/config/system/rowaction/pause/SYSTEM/${ident.tourl(store.sysid)}"/>">
                                            <button type="submit">${ident.ws.wpause}</button>
                                        </form>
                                    </c:if>
                                    <c:if test="${store.canresume}">
                                        <form action="<c:url value = "/config/system/rowaction/resume/SYSTEM/${ident.tourl(store.sysid)}"/>">
                                            <button type="submit">${ident.ws.wresume}</button>
                                        </form>
                                    </c:if>         
                                </c:if>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${store.canedit}">
                                        <form action="<c:url value = "/config/system/rowaction/edit/SYSTEM/${ident.tourl(store.sysid)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                            <td>
                                <c:if test="${decision == 'list'}">
                                    <c:if test="${store.candelete}">
                                        <form action="<c:url value = "/config/system/rowaction/delete/SYSTEM/${ident.tourl(store.sysid)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if> 
                                </c:if>
                            </td>
                        </tr>
                        </c:if>
                        </c:forEach> <!-- Store of the store type -->                     
                        
                        
                        </c:if>
                        </c:forEach> <!-- Store types -->

                    </c:if>

<!-- ******************************************************************************************************** 
* REPORTERS
************************************************************************************************************* -->                    
                    <c:if test="${syslist.reporters.size() > 0 and decision == 'list'}">
                    
                    <tr><td><h2>Reporters</h2></td><td></td><td></td><td></td><td></td><td></td></tr>

                        <c:forEach var="reporter" items="${syslist.reporters}">
                        <tr>
                            <td>${reporter.sysname}</td>
                            <td>${reporter.description}</td>
                            <td>${reporter.sysstatus}</td>
                            <td></td>
                            <td>
                                    <c:if test="${reporter.canedit}">
                                        <form action="<c:url value = "/config/system/rowaction/edit/SYSTEM/${ident.tourl(reporter.sysid)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if> 
                            </td>
                            <td>
                                    <c:if test="${reporter.candelete}">
                                        <form action="<c:url value = "/config/system/rowaction/delete/SYSTEM/${ident.tourl(reporter.sysid)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if> 
                            </td>
                        </tr>
                        
                        </c:forEach>

                    </c:if>
                    
<!-- ******************************************************************************************************** 
* END OF CONTENT
************************************************************************************************************* -->
                    </table>
                </div>
            </div>

    </body>
</html>