<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.user("JSP UserRoleList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Roles</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regiouser/rolelistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="roleselform">
                        <table><tr>
                            <td>Role name:</td>
                            <td><form:input path="rolename"/></td>
                            <td>Description:</td>
                            <td><form:input path="description"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.user("JSP UserRoleList: check if there was roles selected")}
                    <c:if test="${rolelist.size() > 0}">
                        ${logg.user("JSP UserRoleList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Role name</b></td>
                                <td><b>Description</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="role" items="${rolelist}">
                                <tr>
                                    <td>${role.rolename}</td>
                                    <td>${role.description}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${role.actionedit}">
                                            <form action="<c:url value = "/regiouser/rolelist/edit/${ident.tourl(role.rolename)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${role.actiondelete}">
                                            <form action="<c:url value = "/regiouser/rolelist/delete/${ident.tourl(role.rolename)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${role.actioncopy}">
                                            <form action="<c:url value = "/regiouser/rolelist/copy/${ident.tourl(role.rolename)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>